Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Dynamic_Hash_OpTable Class Reference

Dynamic Hashing scheme for CORBA IDL operation name lookup. More...

`#include <Operation_Table_Dynamic_Hash.h>`

Inheritance diagram for TAO_Dynamic_Hash_OpTable:

[legend]
Collaboration diagram for TAO_Dynamic_Hash_OpTable:

[legend]
List of all members.

## Public Member Functions
| TAO_Dynamic_Hash_OpTable (const TAO_operation_db_entry *db, CORBA::ULong dbsize, CORBA::ULong hashtblsize, ACE_Allocator *alloc)
| ~TAO_Dynamic_Hash_OpTable (void)
| Destructor.
virtual int | bind (const char *opname, const TAO::Operation_Skeletons skel_ptr)
| See the documentation in the base class for details.
virtual int | find (const char *opname, TAO_Skeleton &skelfunc, const unsigned int length=0)
virtual int | find (const char *opname, TAO_Collocated_Skeleton &skelfunc, TAO::Collocation_Strategy s, const unsigned int length=0)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< const char *, TAO::Operation_Skeletons, ACE_Hash< const char * >, ACE_Equal_To< const char * >, ACE_Null_Mutex > | OP_MAP_MANAGER
## Private Attributes
OP_MAP_MANAGER | hash_
| The hash table data structure.

## Detailed Description

Dynamic Hashing scheme for CORBA IDL operation name lookup.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<const char *, TAO::Operation_Skeletons, ACE_Hash<const char *>, ACE_Equal_To<const char *>, ACE_Null_Mutex> TAO_Dynamic_Hash_OpTable::OP_MAP_MANAGER`[private]`

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Dynamic_Hash_OpTable::TAO_Dynamic_Hash_OpTable | ( | const TAO_operation_db_entry * | db,
|  | CORBA::ULong | dbsize,
|  | CORBA::ULong | hashtblsize,
|  | ACE_Allocator * | alloc
| ) |

| Initialize the dynamic hash operation table with a database of operation names. The hash table size may be different from the size of the database. Hence we use the third argument to specify the size of the internal hash table. The <alloc> argument is used to determine where the memory comes from (usually from <ace_static_allocator_base>).

TAO_Dynamic_Hash_OpTable::~TAO_Dynamic_Hash_OpTable | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_Dynamic_Hash_OpTable::bind | ( | const char * | opname,
|  | const TAO::Operation_Skeletons | skel_ptr
| ) | `[virtual]`

| See the documentation in the base class for details. Implements TAO_Operation_Table.

int TAO_Dynamic_Hash_OpTable::find | ( | const char * | opname,
|  | TAO_Collocated_Skeleton & | skelfunc,
|  | TAO::Collocation_Strategy | s,
|  | const unsigned int | length = `0`
| ) | `[virtual]`

| Uses opname to look up the collocated skeleton function and pass it back in skelfunc. Returns non-negative integer on success, or -1 on failure. Implements TAO_Operation_Table.

int TAO_Dynamic_Hash_OpTable::find | ( | const char * | opname,
|  | TAO_Skeleton & | skelfunc,
|  | const unsigned int | length = `0`
| ) | `[virtual]`

| Uses opname to look up the skeleton function and pass it back in skelfunc. Returns non-negative integer on success, or -1 on failure. Implements TAO_Operation_Table.

## Member Data Documentation

OP_MAP_MANAGER TAO_Dynamic_Hash_OpTable::hash_`[private]`

| The hash table data structure.

The documentation for this class was generated from the following files:

- Operation_Table_Dynamic_Hash.h
- Operation_Table_Dynamic_Hash.cpp